## libkgapi 25.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.3")

set(KGAPI_LIB_VERSION ${PIM_VERSION})

project(kgapi VERSION ${KGAPI_LIB_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMPoQmTools)
include(ECMSetupVersion)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMAddQch)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
option(BUILD_SASL_PLUGIN "Build the SASL plugin (only disable this for co-installability)" ON)


set(CMAKE_AUTOMOC_MACRO_NAMES "Q_OBJECT" "Q_GADGET" "Q_NAMESPACE" "Q_NAMESPACE_EXPORT")


############## Find Packages ##############
find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS
    Core
    Network
    Widgets
    Xml
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Wallet
)

find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)

if(BUILD_SASL_PLUGIN)
    find_package(Sasl2)
    set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)
endif()

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KGAPI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kgapi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6GAPIConfigVersion.cmake"
    SOVERSION 6
)


add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)


option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


############## Targets ##############
add_subdirectory(src)
if(KGAPI_BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

############## CMake Config Files ##############
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6GAPI")
set(KGAPI_KF6_COMPAT FALSE)

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6GAPIBlogger_QCH KPim6GAPICalendar_QCH
        KPim6GAPICore_QCH KPim6GAPIDrive_QCH
        KPim6GAPILatitude_QCH KPim6GAPIPeople_QCH
        KPim6GAPIMaps_QCH KPim6GAPITasks_QCH
        FILE KPim6GAPIQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
   )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6GAPIQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimGAPIConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6GAPIConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6GAPIConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6GAPIConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPim6GAPITargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6GAPITargets.cmake
    NAMESPACE KPim6::
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/kgapi_version.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI"
    COMPONENT Devel
)



ecm_qt_install_logging_categories(
        EXPORT LIBKGAPI
        FILE libkgapi.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
       )


ecm_install_po_files_as_qm(poqm)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt6Test CONFIG REQUIRED)

set(kgapitest_SRCS
    fakeaccountstorage.cpp
    fakeauthbrowser.cpp
    fakenetworkreply.cpp
    fakenetworkaccessmanager.cpp
    fakenetworkaccessmanagerfactory.cpp
    testutils.cpp
    fakeaccountstorage.h
    fakeauthbrowser.h
    fakenetworkreply.h
    fakenetworkaccessmanager.h
    fakenetworkaccessmanagerfactory.h
    testutils.h
)


if(NOT WIN32)
# Silence deprecation warnings for deprecated APIs tests.
set_source_files_properties(
    drive/teamdrivecreatejobtest.cpp
    drive/teamdrivedeletejobtest.cpp
    drive/teamdrivefetchjobtest.cpp
    drive/teamdrivemodifyjobtest.cpp
    drive/drivetestutils.h

    PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations
)
endif()

add_library(kgapitest STATIC ${kgapitest_SRCS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kgapitest PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(kgapitest Qt::Core Qt::Network Qt::Gui Qt::Test KPim6GAPICore)



macro(add_libkgapi2_test _module _testname)
    set(_extraLibs ${ARGN})
    set(testSources ${_module}/${_testname}.cpp)
    string(SUBSTRING ${_module} 0 1 moduleFirst)
    string(SUBSTRING ${_module} 1 -1 moduleLast)
    string(TOUPPER ${moduleFirst} moduleFirst)
    string(CONCAT moduleName ${moduleFirst} ${moduleLast})
    set(extraLibs "${_extraLibs};KPim6GAPI${moduleName}")
    set(utilsFile ${CMAKE_CURRENT_SOURCE_DIR}/${_module}/${_module}testutils.cpp)
    if(EXISTS ${utilsFile})
        list(APPEND testSources ${utilsFile})
    endif()
    ecm_add_test(${testSources}
        LINK_LIBRARIES kgapitest KPim6GAPICore ${extraLibs}
        TEST_NAME ${_testname}
        NAME_PREFIX ${_module}-
   )
endmacro(add_libkgapi2_test)

ecm_add_test(fakenamtest.cpp LINK_LIBRARIES kgapitest KPim6GAPICore TEST_NAME fakenamtest NAME_PREFIX fake-)

add_libkgapi2_test(core accountinfofetchjobtest)
add_libkgapi2_test(core accountmanagertest)
add_libkgapi2_test(core createjobtest)
add_libkgapi2_test(core fetchjobtest)

add_libkgapi2_test(calendar calendarcreatejobtest)
add_libkgapi2_test(calendar calendardeletejobtest)
add_libkgapi2_test(calendar calendarfetchjobtest)
add_libkgapi2_test(calendar calendarmodifyjobtest)
add_libkgapi2_test(calendar eventcreatejobtest)
add_libkgapi2_test(calendar eventdeletejobtest)
add_libkgapi2_test(calendar eventfetchjobtest)
add_libkgapi2_test(calendar eventmodifyjobtest)
add_libkgapi2_test(calendar freebusyqueryjobtest)

add_libkgapi2_test(tasks taskcreatejobtest)
add_libkgapi2_test(tasks taskdeletejobtest)
add_libkgapi2_test(tasks taskfetchjobtest)
add_libkgapi2_test(tasks taskmodifyjobtest)
add_libkgapi2_test(tasks taskmovejobtest)
add_libkgapi2_test(tasks tasklistcreatejobtest)
add_libkgapi2_test(tasks tasklistdeletejobtest)
add_libkgapi2_test(tasks tasklistfetchjobtest)
add_libkgapi2_test(tasks tasklistmodifyjobtest)

add_libkgapi2_test(drive aboutfetchjobtest)
add_libkgapi2_test(drive changefetchjobtest)
add_libkgapi2_test(drive filecopyjobtest Qt::Gui)
add_libkgapi2_test(drive filecreatejobtest Qt::Gui)
add_libkgapi2_test(drive filesearchquerytest)
add_libkgapi2_test(drive drivescreatejobtest)
add_libkgapi2_test(drive drivesdeletejobtest)
add_libkgapi2_test(drive drivesmodifyjobtest)
add_libkgapi2_test(drive driveshidejobtest)
add_libkgapi2_test(drive drivesfetchjobtest)
add_libkgapi2_test(drive drivessearchquerytest)
add_libkgapi2_test(drive teamdrivecreatejobtest)
add_libkgapi2_test(drive teamdrivedeletejobtest)
add_libkgapi2_test(drive teamdrivemodifyjobtest)
add_libkgapi2_test(drive teamdrivefetchjobtest)
add_libkgapi2_test(drive teamdrivesearchquerytest)

add_libkgapi2_test(people contactgroupcreatejobtest)
add_libkgapi2_test(people contactgroupdeletejobtest)
add_libkgapi2_test(people contactgroupfetchjobtest)
add_libkgapi2_test(people contactgroupmodifyjobtest)
add_libkgapi2_test(people personcreatejobtest)
add_libkgapi2_test(people persondeletejobtest)
add_libkgapi2_test(people personfetchjobtest)
add_libkgapi2_test(people personmodifyjobtest)
add_libkgapi2_test(people personphotoupdatejobtest)
add_libkgapi2_test(people personphotodeletejobtest)

=== examples/CMakeLists.txt ===
add_subdirectory(contacts)
add_subdirectory(drives)
add_subdirectory(teamdrive)
add_subdirectory(permissions)
add_subdirectory(tasks)
add_subdirectory(files)

# Deprecated
#add_subdirectory(staticmaps)

=== examples/contacts/CMakeLists.txt ===
add_executable(contacts-example)

target_sources(contacts-example PRIVATE
    main.cpp
    mainwindow.cpp mainwindow.h
    mainwindow.ui
)

target_link_libraries(contacts-example
        KF6::Contacts
        Qt::Widgets
        KPim6GAPICore
        KPim6GAPIContacts
)

=== examples/staticmaps/CMakeLists.txt ===
add_executable(staticmaps-example)

target_sources(staticmaps-example PRIVATE
    main.cpp
    mainwindow.cpp mainwindow.h
    mainwindow.ui
)

target_link_libraries(staticmaps-example
        Qt::Widgets
        KF6::Contacts
        KPim6::GapiStaticMaps
)

=== src/staticmaps/CMakeLists.txt ===
add_library(KPim6GAPIMaps)
add_library(KPim6::GAPIMaps ALIAS KPim6GAPIMaps)
target_sources(KPim6GAPIMaps PRIVATE
    ${libkgapi_debug_SRCS}
    staticmapmarker.cpp
    staticmapmarker.h
    staticmappath.cpp
    staticmappath.h
    staticmaptilefetchjob.cpp
    staticmaptilefetchjob.h
    staticmapurl.cpp
    staticmapurl.h
)

ecm_generate_headers(kgapimaps_CamelCase_HEADERS
    HEADER_NAMES
    StaticMapMarker
    StaticMapPath
    StaticMapTileFetchJob
    StaticMapUrl
    PREFIX KGAPI/Maps
    REQUIRED_HEADERS kgapimaps_HEADERS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6GAPIMaps PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPim6GAPIMaps BASE_NAME kgapimaps)

target_include_directories(KPim6GAPIMaps INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI>")

target_link_libraries(KPim6GAPIMaps
PUBLIC
    KPim6::GAPICore
    KF6::Contacts
    Qt::Gui
PRIVATE
    Qt::Network
)

set_target_properties(KPim6GAPIMaps PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPIMaps
)

install(TARGETS
    KPim6GAPIMaps
    EXPORT KPim6GAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapimaps_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI/KGAPI/Maps"
    COMPONENT Devel
)

install(FILES
    ${kgapimaps_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapimaps_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI/kgapi/maps"
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6GAPIMaps_QCH
        NAME KPim6GAPIMaps
        BASE_NAME KPim6GAPIMaps
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${kgapimaps_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KGAPIMAPS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
   )
endif()

=== src/tasks/CMakeLists.txt ===
add_library(KPim6GAPITasks)
add_library(KPim6::GAPITasks ALIAS KPim6GAPITasks)


target_sources(KPim6GAPITasks PRIVATE
    ${libkgapi_debug_SRCS}
    task.cpp
    taskcreatejob.cpp
    taskcreatejob.h
    taskdeletejob.cpp
    taskdeletejob.h
    taskfetchjob.cpp
    taskfetchjob.h
    task.h
    tasklist.cpp
    tasklistcreatejob.cpp
    tasklistcreatejob.h
    tasklistdeletejob.cpp
    tasklistdeletejob.h
    tasklistfetchjob.cpp
    tasklistfetchjob.h
    tasklist.h
    tasklistmodifyjob.cpp
    tasklistmodifyjob.h
    taskmodifyjob.cpp
    taskmodifyjob.h
    taskmovejob.cpp
    taskmovejob.h
    tasksservice.cpp
    tasksservice.h
)

ecm_generate_headers(kgapitasks_CamelCase_HEADERS
    HEADER_NAMES
    Task
    TaskCreateJob
    TaskDeleteJob
    TaskFetchJob
    TaskList
    TaskListCreateJob
    TaskListDeleteJob
    TaskListFetchJob
    TaskListModifyJob
    TaskModifyJob
    TaskMoveJob
    PREFIX KGAPI/Tasks
    REQUIRED_HEADERS kgapitasks_HEADERS
)


if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6GAPITasks PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPim6GAPITasks BASE_NAME kgapitasks)

target_include_directories(KPim6GAPITasks
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI>"
    INTERFACE "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>"
)

target_link_libraries(KPim6GAPITasks
PUBLIC
    KPim6::GAPICore
    KF6::CalendarCore
PRIVATE
    Qt::Network
)

set_target_properties(KPim6GAPITasks PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPITasks
)

install(TARGETS
    KPim6GAPITasks
    EXPORT KPim6GAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapitasks_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI/KGAPI/Tasks"
    COMPONENT Devel
)

install(FILES
    ${kgapitasks_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapitasks_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI/kgapi/tasks"
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6GAPITasks_QCH
        NAME KPim6GAPITasks
        BASE_NAME KPim6GAPITasks
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${kgapitasks_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KGAPITASKS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
   )
endif()

=== debian/changelog ===
libkgapi (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:22:15 +0100

=== debian/control ===
Source: libkgapi
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               libkf6calendarcore-dev (>= 6.14.0~),
               libkf6contacts-dev (>= 6.14.0~),
               libkf6wallet-dev (>= 6.14.0~),
               libsasl2-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/libkgapi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkgapi.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkgapi
Rules-Requires-Root: no

Package: libkgapi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Google API library for KDE -- data files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains data files.

Package: libkgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6calendarcore-dev (>= 6.14.0~),
         libkf6contacts-dev (>= 6.14.0~),
         libkpim6gapiblogger6 (= ${binary:Version}),
         libkpim6gapicalendar6 (= ${binary:Version}),
         libkpim6gapicore6 (= ${binary:Version}),
         libkpim6gapidrive6 (= ${binary:Version}),
         libkpim6gapilatitude6 (= ${binary:Version}),
         libkpim6gapimaps6 (= ${binary:Version}),
         libkpim6gapipeople6 (= ${binary:Version}),
         libkpim6gapitasks6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkpim6gapiblogger6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Blogger service API
 This package is part of libkgapi.

Package: libkpim6gapicalendar6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Calendar service API
 This package is part of libkgapi.

Package: libkpim6gapicore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: core library to integrate with Google service APIs
 This package is part of libkgapi.

Package: libkpim6gapidrive6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Drive service API
 This package is part of libkgapi.

Package: libkpim6gapilatitude6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Latitude service API
 This package is part of libkgapi.

Package: libkpim6gapimaps6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Maps service API
 This package is part of libkgapi.

Package: libkpim6gapipeople6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google People service API
 This package is part of libkgapi.

Package: libkpim6gapitasks6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Tasks service API
 This package is part of libkgapi.

Package: libsasl2-modules-kdexoauth2
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Cyrus SASL
 This package is part of libkgapi.

## libkgapi 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.5.80")
 
 set(KGAPI_LIB_VERSION ${PIM_VERSION})
 
 project(kgapi VERSION ${KGAPI_LIB_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -65,7 +65,7 @@
 
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== src/CMakeLists.txt ===
set(libkgapi_debug_SRCS)
ecm_qt_declare_logging_category(libkgapi_debug_SRCS HEADER debug.h IDENTIFIER KGAPIDebug CATEGORY_NAME org.kde.kgapi DESCRIPTION "libkgapi (General debug)" EXPORT LIBKGAPI)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/)

add_subdirectory(blogger)
add_subdirectory(calendar)
add_subdirectory(core)
add_subdirectory(drive)
add_subdirectory(latitude)
add_subdirectory(people)
add_subdirectory(staticmaps)
add_subdirectory(tasks)

if(NOT WIN32 AND BUILD_SASL_PLUGIN)
    add_subdirectory(saslplugin)
endif()

=== examples/staticmaps/CMakeLists.txt ===
--- 
+++ 
@@ -11,4 +11,3 @@
         KF6::Contacts
         KPim6::GapiStaticMaps
 )
-

=== src/core/CMakeLists.txt ===
ecm_create_qm_loader(QM_LOADER libkgapi6_qt)
add_library(KPim6GAPICore)
add_library(KPim6::GAPICore ALIAS KPim6GAPICore)

target_sources(KPim6GAPICore PRIVATE
    ${libkgapi_debug_SRCS}
    account.cpp
    account.h
    accountinfo/accountinfo.cpp
    accountinfo/accountinfofetchjob.cpp
    accountinfo/accountinfofetchjob.h
    accountinfo/accountinfo.h
    accountmanager.cpp
    accountmanager.h
    accountstorage.cpp
    accountstorage_kwallet.cpp
    accountstorage_kwallet_p.h
    accountstorage_p.h
    authjob.cpp
    authjob.h
    createjob.cpp
    createjob.h
    deletejob.cpp
    deletejob.h
    fetchjob.cpp
    fetchjob.h
    job.cpp
    job.h
    job_p.h
    modifyjob.cpp
    modifyjob.h
    networkaccessmanagerfactory.cpp
    networkaccessmanagerfactory_p.h
    object.cpp
    object.h
    private/fullauthenticationjob.cpp
    private/fullauthenticationjob_p.h
    private/newtokensfetchjob.cpp
    private/newtokensfetchjob_p.h
    private/queuehelper_p.h
    private/refreshtokensjob.cpp
    private/refreshtokensjob_p.h
    types.h
    utils.cpp
    utils.h
    utils_p.h
    ${QM_LOADER}
)

ecm_generate_headers(kgapicore_base_CamelCase_HEADERS
    HEADER_NAMES
    Account
    AccountManager
    AuthJob
    CreateJob
    DeleteJob
    FetchJob
    Job
    ModifyJob
    Object
    Types
    Utils
    PREFIX KGAPI
    REQUIRED_HEADERS kgapicore_base_HEADERS
)

ecm_generate_headers(kgapicore_accountinfo_CamelCase_HEADERS
    HEADER_NAMES
    AccountInfo
    AccountInfoFetchJob
    REQUIRED_HEADERS kgapicore_accountinfo_HEADERS
    RELATIVE accountinfo
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6GAPICore PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPim6GAPICore BASE_NAME kgapicore)


target_include_directories(KPim6GAPICore
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI;${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI/kgapi>"
    INTERFACE "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>"
)

target_link_libraries(KPim6GAPICore
PUBLIC
    Qt::Core
PRIVATE
    Qt::Network
    KF6::Wallet
)

set_target_properties(KPim6GAPICore PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPICore
)

install(TARGETS
    KPim6GAPICore
    EXPORT KPim6GAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapicore_base_CamelCase_HEADERS}
    ${kgapicore_accountinfo_CamelCase_HEADERS}
    ${kgapicore_ui_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI/KGAPI"
    COMPONENT Devel
)

install(FILES
    ${kgapicore_base_HEADERS}
    ${kgapicore_accountinfo_HEADERS}
    ${kgapicore_ui_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapicore_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI/kgapi"
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6GAPICore_QCH
        NAME KPim6GAPICore
        BASE_NAME KPim6GAPICore
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${kgapicore_base_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KGAPICORE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
   )
endif()

=== src/drive/CMakeLists.txt ===
add_library(KPim6GAPIDrive)
add_library(KPim6::GAPIDrive ALIAS KPim6GAPIDrive)


target_sources(KPim6GAPIDrive PRIVATE
    ${libkgapi_debug_SRCS}
    about.cpp
    aboutfetchjob.cpp
    aboutfetchjob.h
    about.h
    app.cpp
    appfetchjob.cpp
    appfetchjob.h
    app.h
    change.cpp
    changefetchjob.cpp
    changefetchjob.h
    change.h
    childreference.cpp
    childreferencecreatejob.cpp
    childreferencecreatejob.h
    childreferencedeletejob.cpp
    childreferencedeletejob.h
    childreferencefetchjob.cpp
    childreferencefetchjob.h
    childreference.h
    drives.cpp
    drivescreatejob.cpp
    drivescreatejob.h
    drivesdeletejob.cpp
    drivesdeletejob.h
    driveservice.cpp
    driveservice.h
    drivesfetchjob.cpp
    drivesfetchjob.h
    drives.h
    driveshidejob.cpp
    driveshidejob.h
    drivesmodifyjob.cpp
    drivesmodifyjob.h
    drivessearchquery.cpp
    drivessearchquery.h
    fileabstractdatajob.cpp
    fileabstractdatajob.h
    fileabstractmodifyjob.cpp
    fileabstractmodifyjob.h
    fileabstractresumablejob.cpp
    fileabstractresumablejob.h
    fileabstractuploadjob.cpp
    fileabstractuploadjob.h
    filecopyjob.cpp
    filecopyjob.h
    file.cpp
    filecreatejob.cpp
    filecreatejob.h
    filedeletejob.cpp
    filedeletejob.h
    filefetchcontentjob.cpp
    filefetchcontentjob.h
    filefetchjob.cpp
    filefetchjob.h
    file.h
    filemodifyjob.cpp
    filemodifyjob.h
    file_p.h
    fileresumablecreatejob.cpp
    fileresumablecreatejob.h
    fileresumablemodifyjob.cpp
    fileresumablemodifyjob.h
    filesearchquery.cpp
    filesearchquery.h
    filetouchjob.cpp
    filetouchjob.h
    filetrashjob.cpp
    filetrashjob.h
    fileuntrashjob.cpp
    fileuntrashjob.h
    parentreference.cpp
    parentreferencecreatejob.cpp
    parentreferencecreatejob.h
    parentreferencedeletejob.cpp
    parentreferencedeletejob.h
    parentreferencefetchjob.cpp
    parentreferencefetchjob.h
    parentreference.h
    parentreference_p.h
    permission.cpp
    permissioncreatejob.cpp
    permissioncreatejob.h
    permissiondeletejob.cpp
    permissiondeletejob.h
    permissionfetchjob.cpp
    permissionfetchjob.h
    permission.h
    permissionmodifyjob.cpp
    permissionmodifyjob.h
    permission_p.h
    revision.cpp
    revisiondeletejob.cpp
    revisiondeletejob.h
    revisionfetchjob.cpp
    revisionfetchjob.h
    revision.h
    revisionmodifyjob.cpp
    revisionmodifyjob.h
    searchquery.cpp
    searchquery.h
    teamdrive.cpp
    teamdrivecreatejob.cpp
    teamdrivecreatejob.h
    teamdrivedeletejob.cpp
    teamdrivedeletejob.h
    teamdrivefetchjob.cpp
    teamdrivefetchjob.h
    teamdrive.h
    teamdrivemodifyjob.cpp
    teamdrivemodifyjob.h
    teamdrivesearchquery.cpp
    teamdrivesearchquery.h
    user.cpp
    user.h
)

ecm_generate_headers(kgapidrive_CamelCase_HEADERS
    HEADER_NAMES
    About
    AboutFetchJob
    App
    AppFetchJob
    Change
    ChangeFetchJob
    ChildReference
    ChildReferenceCreateJob
    ChildReferenceDeleteJob
    ChildReferenceFetchJob
    SearchQuery
    File
    FileAbstractDataJob
    FileAbstractModifyJob
    FileAbstractUploadJob
    FileAbstractResumableJob
    FileCopyJob
    FileCreateJob
    FileDeleteJob
    FileFetchContentJob
    FileFetchJob
    FileModifyJob
    FileResumableCreateJob
    FileResumableModifyJob
    FileSearchQuery
    FileTouchJob
    FileTrashJob
    FileUntrashJob
    ParentReference
    ParentReferenceCreateJob
    ParentReferenceDeleteJob
    ParentReferenceFetchJob
    Permission
    PermissionCreateJob
    PermissionDeleteJob
    PermissionFetchJob
    PermissionModifyJob
    Revision
    RevisionDeleteJob
    RevisionFetchJob
    RevisionModifyJob
    Drives
    DrivesCreateJob
    DrivesDeleteJob
    DrivesFetchJob
    DrivesModifyJob
    DrivesHideJob
    DrivesSearchQuery
    Teamdrive
    TeamdriveCreateJob
    TeamdriveDeleteJob
    TeamdriveFetchJob
    TeamdriveModifyJob
    TeamdriveSearchQuery
    User
    PREFIX KGAPI/Drive
    REQUIRED_HEADERS kgapidrive_HEADERS
)
#Disable for the moment
#if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
#    set_target_properties(KPimGAPIDrive PROPERTIES UNITY_BUILD ON)
#endif()

generate_export_header(KPim6GAPIDrive BASE_NAME kgapidrive)

target_include_directories(KPim6GAPIDrive
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI>"
    INTERFACE "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>"
)

target_link_libraries(KPim6GAPIDrive
PUBLIC
    KPim6::GAPICore
    Qt::Gui
PRIVATE
    Qt::Network
)

set_target_properties(KPim6GAPIDrive PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPIDrive
)

install(TARGETS
    KPim6GAPIDrive
    EXPORT KPim6GAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapidrive_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI/KGAPI/Drive"
    COMPONENT Devel
)

install(FILES
    ${kgapidrive_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapidrive_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI/kgapi/drive"
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6GAPIDrive_QCH
        NAME KPim6GAPIDrive
        BASE_NAME KPim6GAPIDrive
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${kgapidrive_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KGAPIDRIVE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
   )
endif()

=== src/latitude/CMakeLists.txt ===
add_library(KPim6GAPILatitude)
add_library(KPim6::GAPILatitude ALIAS KPim6GAPILatitude)

target_sources(KPim6GAPILatitude PRIVATE
    ${libkgapi_debug_SRCS}
    latitude.h
    latitudeservice.cpp
    latitudeservice.h
    location.cpp
    locationcreatejob.cpp
    locationcreatejob.h
    locationdeletejob.cpp
    locationdeletejob.h
    locationfetchhistoryjob.cpp
    locationfetchhistoryjob.h
    locationfetchjob.cpp
    locationfetchjob.h
    location.h
)

ecm_generate_headers(kgapilatitude_CamelCase_HEADERS
    HEADER_NAMES
    Location
    LocationCreateJob
    LocationDeleteJob
    LocationFetchHistoryJob
    LocationFetchJob
    Latitude
    PREFIX KGAPI/Latitude
    REQUIRED_HEADERS kgapilatitude_HEADERS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6GAPILatitude PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPim6GAPILatitude BASE_NAME kgapilatitude)


target_include_directories(KPim6GAPILatitude INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI>")

target_link_libraries(KPim6GAPILatitude
PUBLIC
    KPim6::GAPICore
    KF6::Contacts
PRIVATE
    Qt::Network
)

set_target_properties(KPim6GAPILatitude PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPILatitude
)

install(TARGETS
    KPim6GAPILatitude
    EXPORT KPim6GAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapilatitude_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI/KGAPI/Latitude"
    COMPONENT Devel
)

install(FILES
    ${kgapilatitude_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapilatitude_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI/kgapi/latitude"
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6GAPILatitude_QCH
        NAME KPim6GAPILatitude
        BASE_NAME KPim6GAPILatitude
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${kgapilatitude_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KGAPILATITUDE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
   )
endif()

=== src/tasks/CMakeLists.txt ===
--- 
+++ 
@@ -115,4 +115,3 @@
         COMPONENT Devel
    )
 endif()
-

=== debian/changelog ===
libkgapi (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:56:57 +0000

libkgapi (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:19:34 +0000

## libkgapi 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 
 set(KGAPI_LIB_VERSION ${PIM_VERSION})

=== debian/changelog ===
libkgapi (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:15:39 +0000

## libkgapi 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 
 set(KGAPI_LIB_VERSION ${PIM_VERSION})

=== debian/changelog ===
libkgapi (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:35:23 +0000

## libkgapi 25.12.1

=== debian/changelog ===
libkgapi (25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:38:57 +0100

libkgapi (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:46:40 +0100

libkgapi (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:00:17 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6calendarcore-dev (>= 6.14.0~),
-               libkf6contacts-dev (>= 6.14.0~),
-               libkf6wallet-dev (>= 6.14.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6calendarcore-dev (>= 6.18.0~),
+               libkf6contacts-dev (>= 6.18.0~),
+               libkf6wallet-dev (>= 6.18.0~),
                libsasl2-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/libkgapi
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkgapi.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkgapi
@@ -37,8 +37,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6calendarcore-dev (>= 6.14.0~),
-         libkf6contacts-dev (>= 6.14.0~),
+Depends: libkf6calendarcore-dev (>= 6.18.0~),
+         libkf6contacts-dev (>= 6.18.0~),
          libkpim6gapiblogger6 (= ${binary:Version}),
          libkpim6gapicalendar6 (= ${binary:Version}),
          libkpim6gapicore6 (= ${binary:Version}),

## libkgapi 25.12.2

=== debian/changelog ===
libkgapi (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:43:24 +0000

libkgapi (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:16:23 +0000
